import { Injectable } from '@nestjs/common';
import { ConfigurationResponseDto } from './interface/dtos/configuration.response.dto';
import {
  ConfigurationIdentifier,
  ConfigurationValue,
} from '@mobicoop/configuration-module';

@Injectable()
export class ConfigurationMapper {
  toResponse = (
    configurationIdentifier: ConfigurationIdentifier,
    configurationValue: ConfigurationValue,
  ): ConfigurationResponseDto => {
    const response = new ConfigurationResponseDto();
    response.domain = configurationIdentifier.domain;
    response.key = configurationIdentifier.key;
    response.value = configurationValue;
    return response;
  };
}
