import { IQueryHandler, QueryHandler } from '@nestjs/cqrs';
import { GetConfigurationQuery } from './get-configuration.query';
import { Inject } from '@nestjs/common';
import { CONFIGURATION_REPOSITORY } from '@modules/configuration/configuration.di-tokens';
import {
  ConfigurationDomain,
  ConfigurationValue,
  GetConfigurationRepositoryPort,
} from '@mobicoop/configuration-module';

@QueryHandler(GetConfigurationQuery)
export class GetConfigurationQueryHandler implements IQueryHandler {
  constructor(
    @Inject(CONFIGURATION_REPOSITORY)
    private readonly configurationRepository: GetConfigurationRepositoryPort,
  ) {}
  async execute(query: GetConfigurationQuery): Promise<ConfigurationValue> {
    return await this.configurationRepository.get({
      domain: query.domain as ConfigurationDomain,
      key: query.key,
    });
  }
}
