import { ConfigurationDomain } from '@mobicoop/configuration-module';
import { IsEnum, IsNotEmpty, IsString } from 'class-validator';

export class SetConfigurationRequestDto {
  @IsEnum(ConfigurationDomain)
  @IsNotEmpty()
  domain: ConfigurationDomain;

  @IsString()
  @IsNotEmpty()
  key: string;

  @IsString()
  @IsNotEmpty()
  value: string;
}
